ProblemMetricSummary (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.bizapp.shared.uibeans.ProblemMetricSummary class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.bizapp.shared.uibeans
Class ProblemMetricSummary

    java.lang.Object
      org.hyperic.hq.bizapp.shared.uibeans.ProblemMetricSummary

All Implemented Interfaces:
  java.io.Serializable

    public class ProblemMetricSummary

extends java.lang.Object
implements java.io.Serializable

UI bean for problem metrics

See Also:
  Serialized Form

Constructor Summary
`ProblemMetricSummary()`
`ProblemMetricSummary(MetricDisplaySummary summary)`
`ProblemMetricSummary(ProblemMetricInfo info)`

Method Summary
`int` | `getAlertCount()`
`java.lang.String` | `getAppdefKey()`
`long` | `getEarliest()`
`int` | `getEntityCount()`
`java.lang.Integer` | `getId()`
`java.lang.String` | `getName()`
`int` | `getOobCount()`
`java.lang.String` | `getResourceName()`
`boolean` | `getSingle()`
`java.lang.Integer` | `getTemplateId()`
`java.lang.String` | `getType()`
`void` | `setAlertCount(int alertCount)`
`void` | `setEarliest(long earliest)`
`void` | `setEntityCount(int entityCount)`
`void` | `setId(java.lang.Integer id)`
`void` | `setMultipleAppdefKey(java.lang.String appdefKey)`
`void` | `setName(java.lang.String name)`
`void` | `setOobCount(int oobCount)`
`void` | `setResourceName(java.lang.String resourceName)`
`void` | `setSingleAppdefKey(java.lang.String appdefKey)`
`void` | `setTemplateId(java.lang.Integer tid)`
`void` | `setType(java.lang.String type)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProblemMetricSummary

    public ProblemMetricSummary()

### ProblemMetricSummary

    public ProblemMetricSummary(ProblemMetricInfo info)

### ProblemMetricSummary

    public ProblemMetricSummary(MetricDisplaySummary summary)

Method Detail

### getName

    public java.lang.String getName()

  Returns:
    Returns the name.

### setName

    public void setName(java.lang.String name)

  Parameters:
    `name` - The name to set.

### getTemplateId

    public java.lang.Integer getTemplateId()

  Returns:
    Returns the tid.

### setTemplateId

    public void setTemplateId(java.lang.Integer tid)

  Parameters:
    `tid` - The tid to set.

### setId

    public void setId(java.lang.Integer id)

  Parameters:
    `id` - The id to set.

### getId

    public java.lang.Integer getId()

  Returns:
    Returns the id.

### setType

    public void setType(java.lang.String type)

### getType

    public java.lang.String getType()

### getAlertCount

    public int getAlertCount()

  Returns:
    Returns the alertCount.

### setAlertCount

    public void setAlertCount(int alertCount)

  Parameters:
    `alertCount` - The alertCount to set.

### getOobCount

    public int getOobCount()

  Returns:
    Returns the oobCount.

### setOobCount

    public void setOobCount(int oobCount)

  Parameters:
    `oobCount` - The oobCount to set.

### getEarliest

    public long getEarliest()

  Returns:
    Returns the earliest.

### setEarliest

    public void setEarliest(long earliest)

  Parameters:
    `earliest` - The earliest to set.

### getEntityCount

    public int getEntityCount()

  Returns:
    Returns the entityCount.

### setEntityCount

    public void setEntityCount(int entityCount)

  Parameters:
    `entityCount` - The entityCount to set.

### getAppdefKey

    public java.lang.String getAppdefKey()

### setSingleAppdefKey

    public void setSingleAppdefKey(java.lang.String appdefKey)

### setMultipleAppdefKey

    public void setMultipleAppdefKey(java.lang.String appdefKey)

### getResourceName

    public java.lang.String getResourceName()

### setResourceName

    public void setResourceName(java.lang.String resourceName)

### getSingle

    public boolean getSingle()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.